import{d as b,e as a,g as m,k as r,F as g,l as v,n as h,o as d,t as y}from"./vue.esm-bundler-C-YazFc_.js";const O={tabindex:"0",class:"z-1 bg-base-100 shadow-sm p-2 rounded-sm min-w-[inherit] md:min-w-full xl:min-w-52 dropdown-content menu"},x=["href"],i=b({__name:"dropdown",props:{items:{},position:{default:"bottom"},floatPosition:{default:"start"},openOnHover:{type:Boolean,default:!1},forceOpen:{type:Boolean,default:!1}},setup(t){const n={left:"dropdown-left",right:"dropdown-right",bottom:"dropdown-bottom",top:"dropdown-top"},w={start:"",end:"dropdown-end"},o=t;return(s,l)=>(d(),a("div",{class:h(["dropdown",n[o.position],w[o.floatPosition],{"dropdown-open":o.forceOpen},{"dropdown-hover":o.openOnHover}])},[m(s.$slots,"default",{tabindex:"0",role:"button"},()=>[l[0]||(l[0]=r("div",{class:"m-1 btn"},"Open dropdown",-1))]),r("ul",O,[(d(!0),a(g,null,v(s.items,p=>(d(),a("li",null,[r("a",{href:p.link},y(p.text),9,x)]))),256)),m(s.$slots,"additional")])],2))}});i.__docgenInfo={exportName:"default",displayName:"dropdown",description:"",tags:{},props:[{name:"items",required:!1,type:{name:"Array",elements:[{name:"dropdownItem"}]}},{name:"position",required:!1,type:{name:"TSTypeOperator"},defaultValue:{func:!1,value:'"bottom"'}},{name:"floatPosition",required:!1,type:{name:"TSTypeOperator"},defaultValue:{func:!1,value:'"start"'}},{name:"openOnHover",required:!1,type:{name:"boolean"},defaultValue:{func:!1,value:"false"}},{name:"forceOpen",required:!1,type:{name:"boolean"},defaultValue:{func:!1,value:"false"}}],slots:[{name:"default",scoped:!0,bindings:[{name:"tabindex",title:"binding"},{name:"role",title:"binding"}]},{name:"additional"}],sourceFiles:["/home/runner/work/manolis-ui/manolis-ui/src/components/actions/dropdown.vue"]};const k={title:"Actions/Dropdown",component:i,tags:["autodocs"],argTypes:{items:{control:"object",description:"Array of dropdown items with `text` and `link`."},position:{control:"select",options:["left","right","bottom","top"],description:"Controls the position of the dropdown relative to the button."},floatPosition:{control:"select",options:["start","end"],description:"Determines the float position (start or end)."},openOnHover:{control:"boolean",description:"If true, the dropdown opens on hover."},forceOpen:{control:"boolean",description:"If true, the dropdown remains open."}}},D=(t,{slots:n})=>({components:{Dropdown:i},setup(){return{args:t,slots:n}},template:`
    <Dropdown v-bind="args">
      <template #default>
        <div class="btn m-1"><button>Custom Trigger</button></div>
      </template>
      <template #additional>
        <div class="p-2 text-sm">Additional Slot Content</div>
      </template>
    </Dropdown>
  `}),e=D.bind({});e.args={items:[{text:"Item 1",link:"#"},{text:"Item 2",link:"#"},{text:"Item 3",link:"#"}],position:"bottom",floatPosition:"start",openOnHover:!1,forceOpen:!1};e.parameters={docs:{description:{component:"A dropdown component with configurable props and slots for customization. Be sure to put a button in the default slot to get the desired results!"}}};var u,c,f;e.parameters={...e.parameters,docs:{...(u=e.parameters)==null?void 0:u.docs,source:{originalSource:`(args, {
  slots
}) => ({
  components: {
    Dropdown
  },
  setup() {
    return {
      args,
      slots
    };
  },
  template: \`
    <Dropdown v-bind="args">
      <template #default>
        <div class="btn m-1"><button>Custom Trigger</button></div>
      </template>
      <template #additional>
        <div class="p-2 text-sm">Additional Slot Content</div>
      </template>
    </Dropdown>
  \`
})`,...(f=(c=e.parameters)==null?void 0:c.docs)==null?void 0:f.source}}};const T=["Default"];export{e as Default,T as __namedExportsOrder,k as default};
